%define xmms_outputdir %(xmms-config --output-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/General)

Name:           xmms-pulse
Version:        0.9.4
Release:        6%{?dist}
Summary:        XMMS output plugin for the PulseAudio sound server

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://0pointer.de/lennart/projects/xmms-pulse/
Source0:        http://0pointer.de/lennart/projects/xmms-pulse/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  xmms-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  lynx


%description 
PulseAudio is a sound server for Linux and other Unix-like operating
systems.  XMMS is a multimedia player for the X Window System.
xmms-pulse is a plugin to allow XMMS to output to the PulseAudio sound
server.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# On Fedora x86_64 some libtool archives get created even with --disable-static
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE README doc/README.html doc/style.css
%{xmms_outputdir}/libxmms-pulse.so


%changelog
* Wed Sep  3 2008 Robin Norwood <rnorwood@redhat.com> - 0.9.4-6
- Build against latest xmms

* Wed Jun  4 2008 Robin Norwood <rnorwood@redhat.com> - 0.9.4-5
- Bump release

* Fri May 30 2008 Robin Norwood <rnorwood@redhat.com> - 0.9.4-2
- Include changes from Henry Kroll's spec file for package review

* Wed Mar 12 2008 Robin Norwood <rnorwood@redhat.com> - 0.9.4-1
- Initial build
